<Telerik.OpenAccess.Persistent()> _
Public Class Customer

    ' Create private variables to hold the data values used
    ' by the public properties
    Private _customerNumber As Integer
    Private _customerName As String
    Private _orders As IList(Of Order)

    ' Class constructor
    Public Sub New()
        Me.Orders = New List(Of Order)
    End Sub

    Public Property CustomerNumber() As Integer
        Get
            Return _customerNumber
        End Get
        Set(ByVal value As Integer)
            _customerNumber = value
        End Set
    End Property

    Public Property CustomerName() As String
        Get
            Return _customerName
        End Get
        Set(ByVal value As String)
            _customerName = value
        End Set
    End Property

    Public Property Orders() As IList(Of Order)
        Get
            Return _orders
        End Get
        Set(ByVal value As IList(Of Order))
            _orders = value
        End Set
    End Property

End Class
